Subject: bug#19829: 25.0.50; query-replace in rectangle regions do not honor boundaries

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Feb 2015 21:19:20 +0200

>> This is true generally, but query-replace is a very special command.
>> It already does many unorthodox things like putting markers on
>> region boundaries, and then deactivating the mark.  What is more,
>> it needs to use rectangle boundaries in isearch-filter-predicate,
>> so lazy-highlight will match only strings it's going to replace.
>
> I don't see how that's relevant: always calling
> extract-rectangle-position should simply work (the normal region is just
> a degenerate form of a special region, which has only one span), at
> least as long as the rectangle case works correctly.

Rewriting the complex function `perform-replace' to work on several
region chunks is not needed because the most suitable way is to use
`isearch-filter-predicate' for this specific case of search/replace.

For all other region-processing commands it makes sense
to process separate chunks of rectangular regions implicitly.
This is why I suggested to do this for any other command, but
I wonder why no one asked yet about doing this for other commands.